shishi_apreq_set_authenticator(3)

NAME
shishi_apreq_set_authenticator - API function

SYNOPSIS
#include <shishi.h>

int shishi_apreq_set_authenticator(Shishi * handle, Shishi_asn1 apreq, int32_t etype, uint32_t kvno, const char * buf, size_t buflen);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

Shishi_asn1 apreq
    AP-REQ to add authenticator field to.

int32_t etype
    encryption type used to encrypt authenticator.

uint32_t kvno
    version of the key used to encrypt authenticator.

const char * buf
    input array with encrypted authenticator.

size_t buflen
    size of input array with encrypted authenticator.

DESCRIPTION
Set the encrypted authenticator field in the AP-REP. The encrypted data is usually created by calling shishi_encrypt() on the DER encoded authenticator. To save time, you may want to use shishi_apreq_add_authenticator() instead, which calculates the encrypted data and calls this function in one step.

RETURN VALUE
Returns SHISHI_OK on success.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.